Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-user-fr
Navigation:
Lists: gentoo-user-fr: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-user-fr@g.o
From: Thomas de Grenier de Latour <degrenier@...>
Subject: Re: Re[2]: [gentoo-user-fr] Emerge php-cgi => dépendance X11 ?!!
Date: Wed, 26 Oct 2005 17:23:02 +0200
On Wed, 26 Oct 2005 17:12:30 +0200
Benjamin MALYNOVYTCH <gentoo@...> wrote:

> 
> Dans mon /etc/make.conf, je n'ai pas de USE de défini :/
> C'est grave docteur ? :D
> 

Pas dramatique : le USE de ton make.conf ne fait que modifier celui
qui est déjà par défaut dans ton profile. Seulement voilà, les
USE des profiles sont plutôt orienté desktop, donc ça n'est pas
très étonnant que tu te retrouves avec des dépendances indésirables
pour un serveur.

Le mieux serait que :
 - tu regardes "emerge info | grep ^USE". C'est ton USE actuel
(celui par défaut donc).
 - tu ajoutes dans ton make.conf un USE avec les négations de tous
les flags qui ne t'intérressent pas: USE="-X -gtk -qt ..."
(les vagues descriptions des flags sont
dans /usr/portage/profiles/use.{,local.}desc. 
 - tu fais éventuellement un petit "emerge --newuse -D world" pour
nettoyer l'existant
 - tu retentes ton "emerge -pv dev-lang/php". Si il veut encore
t'installer X11, rajoute l'option "--tree" pour mieux voir d'où ça
vient, et creuse un peu plus les USE flags des paquets qui en
dépendent.

-- 
TGL.

-- 
gentoo-user-fr@g.o mailing list


References:
firefox et flash
-- Simon TOSSER
Emerge php-cgi => dépendance X11 ?!!
-- Benjamin MALYNOVYTCH
Re: Emerge php-cgi => dépendan ce X11 ?!!
-- Nicolas DENIS
Re[2]: [gentoo-user-fr] Emerge php-cgi => dépendance X11 ?!!
-- Benjamin MALYNOVYTCH
Navigation:
Lists: gentoo-user-fr: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: Re[2]: [ gentoo-user-fr] Emerge php-cgi => dépenda nce X11 ?!!
Next by thread:
Re: [gentoo-user-fr] Emerge php-cgi => dép endance X11 ?!!
Previous by date:
Re: Re[2]: [ gentoo-user-fr] Emerge php-cgi => dépenda nce X11 ?!!
Next by date:
Re: Re: [gentoo-user-fr] Emerge php-cgi => dépendance X11 ?!!


Updated Jun 17, 2009

Summary: Archive of the gentoo-user-fr mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.